package com.yanzuoguang.util.cache;


import java.util.Date;

/**
 * 内存缓存值
 *
 * @param <T>
 * @author 颜佐光
 */
public class MemoryCacheItem<T> {

    /**
     * 时间
     */
    private long date = System.currentTimeMillis();

    /**
     * 名称
     */
    private String name;

    /**
     * 数据
     */
    private T data;

    /**
     * 激活数据
     */
    public void active() {
        date = System.currentTimeMillis();
    }

    public Date getDate() {
        return new Date(date);
    }

    public void setDate(Date date) {
        this.date = date.getTime();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
