package com.yanzuoguang.util.vo;

/**
 * 获取关键字
 *
 * @param <T>
 * @author 颜佐光
 */
public interface DataDaoKeyBase<T> {
    /**
     * 获取关键字
     *
     * @param from 来源对象
     * @return
     */
    String getKey(T from);

    /**
     * 将当前对象的属性，写入到历史对象中，用于更新函数
     *
     * @param history
     * @param now
     */
    void set(T history, T now);
}
