package com.yanzuoguang.excel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 导出数据
 *
 * @param <T>
 * @author 颜佐光
 */
@ApiModel(description = "订单导出基本请求信息")
public class ExportBase<T extends Object> {
    /**
     * 导出格式
     */
    @ApiModelProperty(notes = "导出格式配置信息", required = true)
    private ExportData config;
    /**
     * 查询条件
     */
    @ApiModelProperty(notes = "查询条件", required = true)
    private T cond;

    public ExportData getConfig() {
        return config;
    }

    public void setConfig(ExportData config) {
        this.config = config;
    }

    public T getCond() {
        return cond;
    }

    public void setCond(T cond) {
        this.cond = cond;
    }
}
